/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strcmp.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jahuang <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/10/21 10:31:31 by jahuang           #+#    #+#             */
/*   Updated: 2020/10/21 10:34:51 by jahuang          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_strcmp(char *s1, char *s2)
{
	unsigned char	tmp1;
	unsigned char	tmp2;
	unsigned int	i;

	i = 0;
	while ((s1[i] != '\0') && (s1[i] == s2[i]))
		i++;
	tmp1 = s1[i];
	tmp2 = s2[i];
	return (tmp1 - tmp2);
}
